group "NovationTerms.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 6 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
fullFirstCalculationPeriod?, firstPeriodStartDate[0..2], nonReliance?, creditDerivativesNotices?, contractualDefinitions*, contractualTermsSupplement*

Content Model Elements (6):

  contractualDefinitions (in novation), contractualTermsSupplement (in novation), creditDerivativesNotices, | firstPeriodStartDate (in novation), fullFirstCalculationPeriod, nonReliance (in novation)

Known Usage Locations

- In definitions of global complexTypes (1):
  TradeNovationContent

Annotation
Documentation and other terms (such as date terms) specific to this novation event.
XML Source (w/o annotations (7); see within schema source)

<xsd:group name="NovationTerms.model"> <xsd:sequence> <xsd:element minOccurs="0" name="fullFirstCalculationPeriod" type="xsd:boolean"/> <xsd:element maxOccurs="2" minOccurs="0" name="firstPeriodStartDate" type="FirstPeriodStartDate"/> <xsd:element minOccurs="0" name="nonReliance" type="Empty"/> <xsd:element minOccurs="0" name="creditDerivativesNotices" type="CreditDerivativesNotices"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualDefinitions" type="ContractualDefinitions"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualTermsSupplement" type="ContractualTermsSupplement"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/6)
contractualDefinitions

  Type: | ContractualDefinitions, simple content

  The definitions (such as those published by ISDA) that will define the terms of the novation transaction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualDefinitions" type="ContractualDefinitions"/>

contractualTermsSupplement

  Type: | ContractualTermsSupplement, complex content

  A contractual supplement (such as those published by ISDA) that will apply to the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualTermsSupplement" type="ContractualTermsSupplement"/>

creditDerivativesNotices

  Type: | CreditDerivativesNotices, complex content

  This element should be specified if one or more of either a Credit Event Notice, Notice of Publicly Available Information, Notice of Physical Settlement or Notice of Intended Physical Settlement, as applicable, has been delivered by or to the Transferor or the Remaining Party. The type of notice or notices that have been delivered should be indicated by setting the relevant boolean element value(s) to true. The absence of the element means that no Credit Event Notice, Notice of Publicly Available Information, Notice of Physical Settlement or Notice of Intended Physical Settlement, as applicable, has been delivered by or to the Transferor or the Remaining Party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditDerivativesNotices" type="CreditDerivativesNotices"/>

firstPeriodStartDate

  Type: | FirstPeriodStartDate, simple content

  Element that is used to be able to make sense of the “new transaction” without requiring reference back to the “old transaction”. In the case of interest rate products there are potentially 2 “first period start dates” to reference – one with respect to each party to the new transaction. For Credit Default Swaps there is just the one with respect to the party that is the fixed rate payer.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="firstPeriodStartDate" type="FirstPeriodStartDate"/>

fullFirstCalculationPeriod

  Type: | xsd:boolean, predefined, simple content

  This element corresponds to the applicability of the Full First Calculation Period as defined in the 2004 ISDA Novation Definitions, section 1.20.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fullFirstCalculationPeriod" type="xsd:boolean"/>

nonReliance

  Type: | Empty, empty content

  This element corresponds to the non-Reliance section in the 2004 ISDA Novation Definitions, section 2.1 (c) (i). The element appears in the instance document when non-Reliance is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonReliance" type="Empty"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.